//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/sky2
{
	qer_editorimage textures/aadel_tohunga/env/color.tga
	q3map_lightimage textures/aadel_tohunga/env/color.tga
	q3map_lightmapFilterRadius 0 8	
	q3map_sunEXT 1 0.788 0.347 128 100 50 3 12 		
	q3map_skyLight 140 6 			//q3map_skylight 125 5
	q3map_lightsubdivide 768
	q3map_backsplash 0 0
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms textures/aadel_tohunga/env/box365 - -

	nopicmip
	nomipmaps
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/water2
{
        qer_editorimage textures/aadel_tohunga/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1
        surfaceparm trans
        surfaceparm nonsolid
	surfaceparm nolightmap
        surfaceparm water
        cull disable
	nopicmip
	fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/aadel_tohunga/water.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/aadel_tohunga/water.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.01
        }
        {
            map textures/aadel_tohunga/water.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}
textures/aadel_tohunga/watercaulk
{
	qer_editorimage textures/aadel_tohunga/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/aadel_tohunga/waterplant_2
{
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none 
	nopicmip
	deformVertexes bulge 128 1 2		
	{
		map textures/aadel_tohunga/waterplant_2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	$NulL's light Hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/a_shadow_dark
{
	qer_editorimage textures/aadel_tohunga/shadow.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	sort 12
	q3map_cloneshader textures/aadel_tohunga/a_shadow_light
	{
		map textures/aadel_tohunga/shadow_d.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/a_shadow_light
{
	qer_editorimage textures/aadel_tohunga/light.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	sort 13
	q3map_invert
	{
		map textures/aadel_tohunga/light_d.tga
		blendfunc gl_dst_color gl_src_color
		//blendfunc add
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
models/mapobjects/delirium/fir_branch
{
	deformVertexes wave 30 sin 0 3 0 0.025
	deformVertexes wave 100 sin 0 4 0 0.025
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/delirium/fir_branch.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/delirium/fir_branch2
{
	deformVertexes wave 30 sin 0 3 0 0.025
	deformVertexes wave 100 sin 0 4 0 0.025
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/delirium/fir_branch2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/delirium/pin_branch
{
	deformVertexes wave 30 sin 0 3 0 0.025
	deformVertexes wave 100 sin 0 4 0 0.025
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/delirium/pin_branch.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/delirium/lamp/glass_wave
{
	q3map_lightimage textures/aadel_tohunga/lamp_light.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 30000 
        {
                map models/mapobjects/delirium/lamp/glass_wave.tga
        }	
}
models/mapobjects/delirium/lamp/glass
{
	q3map_lightimage textures/aadel_tohunga/lamp_light.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 30000 

	{
	map models/mapobjects/delirium/lamp/glass.tga
	}

}
models/mapobjects/delirium/lamp/glass_flicker
{
	q3map_lightimage textures/aadel_tohunga/lamp_light.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 30000

	{
	map models/mapobjects/delirium/lamp/glass_flicker.tga
	}

}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/grass_phong
{
	qer_editorimage textures/aadel_tohunga/grasslm.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grasslm.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/grasslm.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	{
		map textures/aadel_tohunga/grasslm_detail.tga
		tcmod scroll -0.0002
		tcmod scale 0.65 0.65
		tcmod rotate -0.002
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_mud_phong
{
	qer_editorimage textures/aadel_tohunga/grasslm.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/ground_mud_pr.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/grasslm.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	{
		map textures/aadel_tohunga/grasslm_detail.tga
		tcmod scroll -0.0002
		tcmod scale 0.65 0.65
		tcmod rotate -0.002
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_sand_phong
{
	qer_editorimage textures/aadel_tohunga/sand0.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grasslm.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/sand0.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	//{
	//	map textures/aadel_tohunga/sand0.tga
	//	alphagen vertex
	//	alphafunc ge128
	//	//blendfunc blend
	//}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_dirt_phong
{
	qer_editorimage textures/aadel_tohunga/dirt1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grasslm.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/dirt1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	//{
	//	map textures/aadel_tohunga/dirt1.tga
	//	alphagen vertex
	//	alphafunc ge128
	//	//blendfunc blend
	//}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/dirt_grass_phong
{
	qer_editorimage textures/aadel_tohunga/grasslm.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/dirt1.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/grasslm.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	//{
	//	map textures/aadel_tohunga/grasslm.tga
	//	alphagen vertex
	//	alphafunc ge128
	//	//blendfunc blend
	//}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_path_phong
{
	qer_editorimage textures/aadel_tohunga/path1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grasslm.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	//{
	//	map textures/aadel_tohunga/path1.tga
	//	alphagen vertex
	//	alphafunc ge128
	//	//blendfunc blend
	//}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/path_phong
{
	qer_editorimage textures/aadel_tohunga/path1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/path1.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	//{
	//	map textures/aadel_tohunga/path1.tga
	//	alphagen vertex
	//	alphafunc ge128
	//	//blendfunc blend
	//}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/ground_phong
{
	qer_editorimage textures/aadel_tohunga/ground_stones_pr.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/ground_stones_pr.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/ground_stones_pr.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	//{
	//	map textures/aadel_tohunga/ground_stones_pr.tga
	//	alphagen vertex
	//	alphafunc ge128
	//	//blendfunc blend
	//}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_ground_phong
{
	qer_editorimage textures/aadel_tohunga/ground_stones_pr.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grasslm.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/aadel_tohunga/ground_stones_pr.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	//{
	//	map textures/aadel_tohunga/ground_stones_pr.tga
	//	alphagen vertex
	//	alphafunc ge128
	//	//blendfunc blend
	//}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/ivy_vert_1
{
	qer_editorimage textures/aadel_tohunga/ivy_vert1.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_bounceScale 0.2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	{
		map textures/aadel_tohunga/ivy_vert1.tga
		alphafunc ge128
		rgbgen exactvertex
	}
}
textures/aadel_tohunga/grassy_shader
{
	qer_editorimage textures/aadel_tohunga/grassy.tga
	qer_trans 0.99
	q3map_vertexScale 1.5
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/aadel_tohunga/grassy.tga
		rgbgen vertex
		alphafunc ge128
	}	
}
textures/aadel_tohunga/vine07
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/aadel_tohunga/vine07.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
textures/aadel_tohunga/vine06
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/aadel_tohunga/vine06.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/aadel_tohunga/grass_urt_grn
{ 
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3
	{ 	
            map textures/aadel_tohunga/grass_urt_grn.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_tohunga/grass_urt2
{ 
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3
	{
            map textures/aadel_tohunga/grass_urt2.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_tohunga/grass_urt9
{ 
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nolightmap
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3
	{
            map textures/aadel_tohunga/grass_urt9.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_tohunga/grass_urt10
{ 
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{
            map textures/aadel_tohunga/grass_urt10.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendfunc gl_dst_color gl_src_color
	}

}

textures/aadel_tohunga/leaf1
{	
   	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
    	cull none
	nopicmip
	{
		map textures/aadel_tohunga/leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/aadel_tohunga/leaf2
{	
    	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
    	cull none
	nopicmip
	{
		map textures/aadel_tohunga/leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/palmfrond
{	
    	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
    	cull none
    	nopicmip
	{
		map textures/aadel_tohunga/palmfrond.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/batleaf
{	
    	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
    	cull none
	nopicmip
	{
		map textures/aadel_tohunga/batleaf.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/bannanaleaf
{	
    	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
    	cull none
    	nopicmip
	{
		map textures/aadel_tohunga/bannanaleaf.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/aadel_tohunga/wood_fence
{
	qer_editorimage textures/aadel_tohunga/wood_fence.tga
        cull none
        nopicmip
	q3map_vertexScale 1.5
	surfaceparm detail
        {
                map textures/aadel_tohunga/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
         }
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/decal_moss_patch_1
{
	qer_editorimage textures/aadel_tohunga/moss_patch_1.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1
	
	polygonOffset

	{
		map textures/aadel_tohunga/moss_patch_1.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}	
	
}
textures/aadel_tohunga/decal_moss_patch_2
{
	qer_editorimage textures/aadel_tohunga/moss_patch_2.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	q3map_vertexscale 1
	
	polygonOffset

	{
		map textures/aadel_tohunga/moss_patch_2.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}	
	
}
textures/aadel_tohunga/decal_moss_behind_pipe
{
	qer_editorimage textures/aadel_tohunga/moss_behind_pipe.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonOffset

	{
		map textures/aadel_tohunga/moss_behind_pipe.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_moss_thick
{
	qer_editorimage textures/aadel_tohunga/moss_thick_overlay.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	q3map_vertexscale 2
	
	polygonOffset

	{
		map textures/aadel_tohunga/moss_thick_overlay.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_tohunga/decal_moss_wall
{
	qer_editorimage textures/aadel_tohunga/moss_wall_overlay_1.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	q3map_vertexscale 2
	
	polygonOffset

	{
		map textures/aadel_tohunga/moss_wall_overlay_1.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_tohunga/decal_cracked_earth
{
	qer_editorimage textures/aadel_tohunga/cracked_earth1.tga
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	polygonOffset
	{
		map textures/aadel_tohunga/cracked_earth1.tga
		alphafunc gt0
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_tohunga/decal_broken_floor_1
{
	qer_editorimage textures/aadel_tohunga/decal_broken_floor.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/decal_broken_floor.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_tohunga/erez
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	
	deformVertexes wave 100 sin 0 3 0 .7

	{
		map textures/aadel_tohunga/erez.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/erez2
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	
	deformVertexes wave 100 sin 0 3 0 .7

	{
		map textures/aadel_tohunga/erez2.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/erez3
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	
	deformVertexes wave 100 sin 0 3 0 .7

	{
		map textures/aadel_tohunga/erez3.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/bomb_black
{
	qer_editorimage textures/aadel_tohunga/bomb_black.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		clampmap textures/aadel_tohunga/bomb_black.tga
		tcMod stretch sin 0.9 0.3 0 0.65
		tcMod rotate 30
		alphagen wave sin 1.2 1 0 0.65
		blendfunc blend
	}
}
textures/aadel_tohunga/bomb_red
{
	qer_editorimage textures/aadel_tohunga/bomb_red.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		clampmap textures/aadel_tohunga/bomb_red.tga
		tcMod stretch sin 0.9 0.3 0 0.65
		tcMod rotate -30
		alphagen wave sin 1.2 1 0 0.65
		blendfunc blend
	}
}
textures/aadel_tohunga/decal_small_tree
{
	qer_editorimage textures/aadel_tohunga/small_tree.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_tohunga/small_tree.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_fence_1
{
	qer_editorimage textures/aadel_tohunga/fence_1.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_tohunga/fence_1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_tohunga/decal_fence_2
{
	qer_editorimage textures/aadel_tohunga/fence_2.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_tohunga/fence_2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_tohunga/decal_leaves_less
{
	qer_editorimage textures/aadel_tohunga/leaves_less.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/leaves_less.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_moss_overhang
{
	qer_editorimage textures/aadel_tohunga/moss_overhang.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/moss_overhang.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_leaves_more
{
	qer_editorimage textures/aadel_tohunga/leaves_more.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/leaves_more.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres_decal
{
	qer_editorimage textures/aadel_tohunga/keres_decal.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/keres_decal.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal01
{
	qer_editorimage textures/aadel_tohunga/keres4_decal01.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal01.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal02
{
	qer_editorimage textures/aadel_tohunga/keres4_decal02.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal02.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal03
{
	qer_editorimage textures/aadel_tohunga/keres4_decal03.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal03.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal04
{
	qer_editorimage textures/aadel_tohunga/keres4_decal04.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal04.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal05
{
	qer_editorimage textures/aadel_tohunga/keres4_decal05.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal05.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal06
{
	qer_editorimage textures/aadel_tohunga/keres4_decal06.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal06.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal07
{
	qer_editorimage textures/aadel_tohunga/keres4_decal07.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal07.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal08
{
	qer_editorimage textures/aadel_tohunga/keres4_decal08.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal08.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal09
{
	qer_editorimage textures/aadel_tohunga/keres4_decal09.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal09.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal10
{
	qer_editorimage textures/aadel_tohunga/keres4_decal10.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal10.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal11
{
	qer_editorimage textures/aadel_tohunga/keres4_decal11.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal11.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal12
{
	qer_editorimage textures/aadel_tohunga/keres4_decal12.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal12.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal13
{
	qer_editorimage textures/aadel_tohunga/keres4_decal13.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal13.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal14
{
	qer_editorimage textures/aadel_tohunga/keres4_decal14.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal14.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_keres4_decal15
{
	qer_editorimage textures/aadel_tohunga/keres4_decal15.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/keres4_decal15.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_crack_1
{
	qer_editorimage textures/aadel_tohunga/decal_crack1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/decal_crack1.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_seam_1
{
	qer_editorimage textures/aadel_tohunga/decal_seam.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/decal_seam.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_crasse08
{
	qer_editorimage textures/aadel_tohunga/decal_crasse08.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/decal_crasse08.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_crasse06
{
	qer_editorimage textures/aadel_tohunga/decal_crasse06.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/decal_crasse06.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_conc_crack_vert
{
	qer_editorimage textures/aadel_tohunga/decal_conc_crack_vert.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/decal_conc_crack_vert.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_conc_cracks
{
	qer_editorimage textures/aadel_tohunga/decal_concrete_cracks.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/decal_concrete_cracks.tga
		blendfunc gl_dst_color gl_src_color
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

textures/aadel_tohunga/ladderclip
{
        qer_trans 0.40
	qer_editor_image textures/aadel_tohunga/ladderclip.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
textures/aadel_tohunga/clip_nokick
{

	qer_editorimage textures/aadel_tohunga/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
textures/aadel_tohunga/blue-white
{
	qer_editorimage textures/aadel_tohunga/blue-white.tga
	cull none
	{
		map textures/aadel_tohunga/blue-white.tga
		rgbgen vertex
	}
}
textures/aadel_tohunga/fs_gate2
{
        qer_editorimage textures/aadel_tohunga/fs_gate2.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/aadel_tohunga/fs_gate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/fs_gate3c
{
        qer_editorimage textures/aadel_tohunga/fs_gate3c.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/aadel_tohunga/fs_gate3c.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/beam
{
	qer_editorimage textures/aadel_tohunga/beam.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
        nopicmip
	{
		map textures/aadel_tohunga/beam.tga
		tcMod Scroll .3 0
                blendFunc add
        }
//	{
//		map textures/aadel_tohunga/beamdust.tga
//		tcmod scale 2 2
//		tcMod turb 0 0.015 0.025 0.05
//		tcMod Scroll -0.15 0
//		blendFunc GL_ONE GL_ONE
//	}
}
textures/aadel_tohunga/red_beam
{
	qer_editorimage textures/aadel_tohunga/red_beam.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
        nopicmip
	{
		map textures/aadel_tohunga/red_beam.tga
		tcMod Scroll 0 1
                blendFunc add
        }
}
textures/aadel_tohunga/black_beam
{
	qer_editorimage textures/aadel_tohunga/black_beam.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
        nopicmip
	{
		map textures/aadel_tohunga/black_beam.tga
		tcMod Scroll 0 1
                blendFunc add
        }
}
textures/aadel_tohunga/blue
{   
         {
		map textures/aadel_tohunga/blue.tga
		rgbGen identity
	} 
        {
		map textures/aadel_tohunga/blue.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}
textures/aadel_tohunga/gold_shader
{
	qer_editorimage textures/aadel_tohunga/gold_base.tga
	{
		map textures/aadel_tohunga/gold_base.tga
		rgbgen exactvertex
	}
	{
		map textures/aadel_tohunga/gold_fx.tga
		rgbgen exactvertex
		blendfunc gl_dst_color gl_one
		tcgen environment
	}
//	{
//		map $lightmap
//		blendfunc filter
//	}
}
textures/aadel_tohunga/grass_light
{
	qer_editorimage textures/aadel_tohunga/grass_light1.tga
	q3map_surfacelight 100
	q3map_lightSubdivide 8
	{
		map textures/aadel_tohunga/grass_light1.tga
		rgbgen vertex
	}
	{
		map textures/aadel_tohunga/grass_light_glow.tga
		blendfunc add
	}
}
textures/aadel_tohunga/glass-yel
{
	qer_editorimage textures/aadel_tohunga/tinfx-yel.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/aadel_tohunga/tinfx-yel.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}
textures/aadel_tohunga/null1
{
        qer_editorimage textures/aadel_tohunga/null1.tga
	qer_trans 0.6
        surfaceparm trans
        surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
        {
            map textures/aadel_tohunga/null1.tga
            blendFunc blend
            rgbGen identity
        }
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/sn_window1
{
	{	
		map textures/aadel_tohunga/sn_window1.tga
	}
	{
		map textures/aadel_tohunga/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/sn_window1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/sn_window2
{
	{	
		map textures/aadel_tohunga/sn_window2.tga
	}
	{
		map textures/aadel_tohunga/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/sn_window8
{
	{	
		map textures/aadel_tohunga/sn_window8.tga
	}
	{
		map textures/aadel_tohunga/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/sn_window11a
{
	{	
		map textures/aadel_tohunga/sn_window11a.tga
	}
	{
		map textures/aadel_tohunga/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/sn_window11a.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	LevelShot Hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

levelshots/ut4_tohunga_b5
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_tohunga_b5.tga
        }
	{
                map levelshots/ut4_tohunga_b5_2.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 0.03
	}	
	
}
